<?php
if ( function_exists( 'register_block_style' ) ) {
	/**
	 * Register block styles.
	 */
	function megapress_register_block_styles() {
		// Columns: Overlap.
		register_block_style(
			'core/columns',
			array(
				'name'  => 'megapress-columns-overlap',
				'label' => esc_html__( 'Overlap', 'megapress' ),
			)
		);

		// Cover: Borders.
		register_block_style(
			'core/cover',
			array(
				'name'  => 'megapress-border',
				'label' => esc_html__( 'Borders', 'megapress' ),
			)
		);

		// Group: Borders.
		register_block_style(
			'core/group',
			array(
				'name'  => 'megapress-border',
				'label' => esc_html__( 'Borders', 'megapress' ),
			)
		);

		// Image: Borders.
		register_block_style(
			'core/image',
			array(
				'name'  => 'megapress-border',
				'label' => esc_html__( 'Borders', 'megapress' ),
			)
		);

		// Image: Frame.
		register_block_style(
			'core/image',
			array(
				'name'  => 'megapress-image-frame',
				'label' => esc_html__( 'Frame', 'megapress' ),
			)
		);

		// Latest Posts: Dividers.
		register_block_style(
			'core/latest-posts',
			array(
				'name'  => 'megapress-latest-posts-dividers',
				'label' => esc_html__( 'Dividers', 'megapress' ),
			)
		);

		// Latest Posts: Borders.
		register_block_style(
			'core/latest-posts',
			array(
				'name'  => 'megapress-latest-posts-borders',
				'label' => esc_html__( 'Borders', 'megapress' ),
			)
		);

		// Media & Text: Borders.
		register_block_style(
			'core/media-text',
			array(
				'name'  => 'megapress-border',
				'label' => esc_html__( 'Borders', 'megapress' ),
			)
		);

		// Separator: Thick.
		register_block_style(
			'core/separator',
			array(
				'name'  => 'megapress-separator-thick',
				'label' => esc_html__( 'Thick', 'megapress' ),
			)
		);

		// Social icons: Dark gray color.
		register_block_style(
			'core/social-links',
			array(
				'name'  => 'megapress-social-icons-color',
				'label' => esc_html__( 'Dark gray', 'megapress' ),
			)
		);
	}
	add_action( 'init', 'megapress_register_block_styles' );
}
